## org.hibernate.cache.impl.bridge
Class CollectionRegionAdapter

    java.lang.Object
      org.hibernate.cache.impl.bridge.BaseRegionAdapter
          org.hibernate.cache.impl.bridge.BaseTransactionalDataRegionAdapter
              org.hibernate.cache.impl.bridge.CollectionRegionAdapter

All Implemented Interfaces:
  CollectionRegion, Region, TransactionalDataRegion

    public class CollectionRegionAdapter

extends BaseTransactionalDataRegionAdapter
implements CollectionRegion

Adapter specifically bridging `CollectionRegion` to `Cache`.

Author:
  Steve Ebersole

Field Summary

Fields inherited from class org.hibernate.cache.impl.bridge.BaseTransactionalDataRegionAdapter
`metadata`

Fields inherited from class org.hibernate.cache.impl.bridge.BaseRegionAdapter
`settings, underlyingCache`

Constructor Summary
`CollectionRegionAdapter(Cache underlyingCache, Settings settings, CacheDataDescription metadata)`

Method Summary
`CollectionRegionAccessStrategy` `buildAccessStrategy(AccessType accessType)` Build an access strategy for the requested access type.

Methods inherited from class org.hibernate.cache.impl.bridge.BaseTransactionalDataRegionAdapter
`getCacheDataDescription, isTransactionAware`

Methods inherited from class org.hibernate.cache.impl.bridge.BaseRegionAdapter
`clear, contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.cache.TransactionalDataRegion
`getCacheDataDescription, isTransactionAware`

Methods inherited from interface org.hibernate.cache.Region
`contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Constructor Detail

### CollectionRegionAdapter

    public CollectionRegionAdapter(Cache underlyingCache,
                                   Settings settings,
                                   CacheDataDescription metadata)

Method Detail

### buildAccessStrategy

    public CollectionRegionAccessStrategy buildAccessStrategy(AccessType accessType)
                                                       throws CacheException

  Description copied from interface: `CollectionRegion`
  Build an access strategy for the requested access type.

  Specified by:
    `buildAccessStrategy` in interface `CollectionRegion`
  Parameters:
    `accessType` - The type of access strategy to build; never null.
  Returns:
    The appropriate strategy contract for accessing this region for the requested type of access.
  Throws:
    `CacheException` - Usually indicates mis-configuration.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.